//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.9 Beta-3
//Created Time: 2023-08-08 15:28:59
create_clock -name rx_mac_clk -period 6.4 -waveform {0 3.2} [get_nets {rx_mac_clk}]
create_clock -name tx_mac_clk -period 6.4 -waveform {0 3.2} [get_nets {tx_mac_clk}]
create_clock -name clk_in -period 19.048 -waveform {0 10} [get_nets {clk_in}]
create_clock -name board_clk -period 5 -waveform {0 2.5} [get_nets {board_clk}]
create_generated_clock -name clk_uart -source [get_nets {board_clk}] -master_clock board_clk -divide_by 80 -multiply_by 4 [get_nets {clk_uart}]
set_false_path -from [get_clocks {clk_in clk_uart }] -to [get_clocks {tx_mac_clk rx_mac_clk}] 
set_false_path -from [get_clocks {tx_mac_clk rx_mac_clk}] -to [get_clocks {clk_uart }] 
